apiVersion: v1
kind: Service
metadata:
  name: drupal-service
  namespace: ${KUBERNETES_NAMESPACE}
  labels:
    app: drupal
    component: service
    environment: ${ENVIRONMENT_NAME}
spec:
  type: NodePort
  selector:
    app: drupal
  ports:
    - name: http
      port: 8080
      targetPort: 8080    
      nodePort: ${NODE_PORT}
      protocol: TCP
  externalIPs:           
    - ${SERVER_IP}